Bug 162367 - 2 * is used uninitialized in this function
2 * is used uninitialized in this function
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-03 07:55 EDT by David Binderman
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-07 09:21:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2005-07-03 07:55:21 EDT
Description of problem:

I just tried to compile package kdevelop-3.2.0-2 from Redhat
Fedora Core development tree with the gcc 4.0.0 compiler and
the compiler flag -Wall.

The compiler said

1.

cppsupportpart.cpp:497: warning: 'id' is used uninitialized in this function

The source code is

popup->setWhatsThis( id, i18n("<b>Switch Header/Implementation</b><p>"

I agree with the compiler. Suggest initialise local variable "id" at
its declaration.

2.

jdbcontroller.cpp:439: warning: 'retStr' is used uninitialized in this function

The source code is

	char *retStr;
	QString retQString =  QString( buf + ex.cap(ex.numCaptures()) );
	memcpy( retStr, retQString.latin1(), retQString.length() );

I agree with the compiler. This code will never work.

Suggest initialise local variable "retStr" at its declaration.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Ngo Than 2005-07-07 09:21:02 EDT
it's now fixed in 3.2.1-3. Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.